Skip to main content
`Ctrl`+`K`

# PEPConvergedReasonView

Displays the reason a `PEP` solve converged or diverged.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPConvergedReasonView(PEP pep,PetscViewer viewer)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- viewer - the viewer to display the reason

## Options Database Key

- -pep_converged_reason - print reason for convergence/divergence, and number of iterations

## Notes

Use `PEPConvergedReasonViewFromOptions()` to display the reason based on values in the options database.

To change the format of the output call `PetscViewerPushFormat()` before this call. Use `PETSC_VIEWER_DEFAULT` for the default, or `PETSC_VIEWER_FAILED` to only display a reason if it fails. The latter can be set in the command line with `-pep_converged_reason ::failed`.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetConvergenceTest()`, `PEPSetTolerances()`, `PEPGetIterationNumber()`, `PEPConvergedReasonViewFromOptions()`

## Level

intermediate

## Location

src/pep/interface/pepview.c

## Examples

src/pep/tutorials/ex40.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c
src/pep/tutorials/ex50.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages